Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## it.csi.mddtools.servicegen
Enum TargetPlatformCodes

    java.lang.Object
      java.lang.Enum<TargetPlatformCodes>
          it.csi.mddtools.servicegen.TargetPlatformCodes

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TargetPlatformCodes>, org.eclipse.emf.common.util.Enumerator

    public enum TargetPlatformCodes

extends java.lang.Enum<TargetPlatformCodes>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Target Platform Codes', and utility methods for working with them. [[ TODO - add documentation here ]]

See Also:
  `ServicegenPackage.getTargetPlatformCodes()`

Enum Constant Summary
`JBOSS_EAP6` The 'JBoss EAP6' literal object
`JBOSS43` The 'JBoss43' literal object
`WLS92` The 'WLS92' literal object

Field Summary
`static int` | `JBOSS_EAP6_VALUE` The 'JBoss EAP6' literal value
`static int` | `JBOSS43_VALUE` The 'JBoss43' literal value
`static java.util.List<TargetPlatformCodes>` | `VALUES` A public read-only list of all the 'Target Platform Codes' enumerators
`static int` | `WLS92_VALUE` The 'WLS92' literal value

Method Summary
`static TargetPlatformCodes` | `get(int value)` Returns the 'Target Platform Codes' literal with the specified integer value
`static TargetPlatformCodes` | `get(java.lang.String literal)` Returns the 'Target Platform Codes' literal with the specified literal value
`static TargetPlatformCodes` | `getByName(java.lang.String name)` Returns the 'Target Platform Codes' literal with the specified name
`java.lang.String` | `getLiteral()`
`java.lang.String` | `getName()`
`int` | `getValue()`
`java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation
`static TargetPlatformCodes` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TargetPlatformCodes[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### WLS92

    public static final TargetPlatformCodes WLS92

  The 'WLS92' literal object.

  See Also:
    `WLS92_VALUE`

### JBOSS43

    public static final TargetPlatformCodes JBOSS43

  The 'JBoss43' literal object.

  See Also:
    `JBOSS43_VALUE`

### JBOSS_EAP6

    public static final TargetPlatformCodes JBOSS_EAP6

  The 'JBoss EAP6' literal object.

  See Also:
    `JBOSS_EAP6_VALUE`

Field Detail

### WLS92_VALUE

    public static final int WLS92_VALUE

  The 'WLS92' literal value.

  If the meaning of 'WLS92' literal object isn't clear, there really should be more of a description here...

  [[ TODO - add documentation here ]]

  See Also:
    `WLS92`, Constant Field Values

### JBOSS43_VALUE

    public static final int JBOSS43_VALUE

  The 'JBoss43' literal value.

  If the meaning of 'JBoss43' literal object isn't clear, there really should be more of a description here...

  [[ TODO - add documentation here ]]

  See Also:
    `JBOSS43`, Constant Field Values

### JBOSS_EAP6_VALUE

    public static final int JBOSS_EAP6_VALUE

  The 'JBoss EAP6' literal value.

  If the meaning of 'JBoss EAP6' literal object isn't clear, there really should be more of a description here...

  See Also:
    `JBOSS_EAP6`, Constant Field Values

### VALUES

    public static final java.util.List<TargetPlatformCodes> VALUES

  A public read-only list of all the 'Target Platform Codes' enumerators.

Method Detail

### values

    public static final TargetPlatformCodes[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(TargetPlatformCodes c : TargetPlatformCodes.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static TargetPlatformCodes valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static TargetPlatformCodes get(java.lang.String literal)

  Returns the 'Target Platform Codes' literal with the specified literal value.

### getByName

    public static TargetPlatformCodes getByName(java.lang.String name)

  Returns the 'Target Platform Codes' literal with the specified name.

### get

    public static TargetPlatformCodes get(int value)

  Returns the 'Target Platform Codes' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<TargetPlatformCodes>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD